Package org.multiverse.api.lifecycle

## Enum TxnEvent

- java.lang.Object
- - java.lang.Enum<TxnEvent>
  - - org.multiverse.api.lifecycle.TxnEvent

- All Implemented Interfaces:
    `Serializable`, `Comparable<TxnEvent>`

      public enum TxnEvent
      extends Enum<TxnEvent>

  An enumeration for all possible events for the `Txn` life-cycle.
  See Also:
    `TxnListener`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `PostAbort` | Just after aborting.
    `PostCommit` | Just after committing.
    `PostStart` | Just after starting.
    `PrePrepare` | Just before preparing
    `PreStart` | Just before starting.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TxnEvent` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static TxnEvent[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PreStart

          public static final TxnEvent PreStart

      Just before starting.

    - #### PostStart

          public static final TxnEvent PostStart

      Just after starting.

    - #### PrePrepare

          public static final TxnEvent PrePrepare

      Just before preparing

    - #### PostAbort

          public static final TxnEvent PostAbort

      Just after aborting.

    - #### PostCommit

          public static final TxnEvent PostCommit

      Just after committing.

  - ### Method Detail

    - #### values

          public static TxnEvent[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TxnEvent c : TxnEvent.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TxnEvent valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null